NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.ToolDesigner.SelectWeldsBuilder Class Reference

SelectWeldsBuilder More...

Inheritance diagram for NXOpen.ToolDesigner.SelectWeldsBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void AssignWeld (NXOpen.PDM.ModelElementRevision weldPoint)
 Do Weld Assignment More...
 
unsafe void UnassignWeld (NXOpen.PDM.ModelElementRevision weldPoint)
 Do Weld Unassignment More...
 
unsafe
NXOpen.Assemblies.SubsetBuilder 
GetCurrentSubsetBuilder ()
 GetCurrentSubsetBuilder More...
 
unsafe void FetchWeldPointsInScope (out NXOpen.PDM.ModelElementRevision[] weldPoints)
 Fetch Weld Points In Scope More...
 
unsafe void SetTopVertex (double xValue, double yValue, double zValue)
 Set Top Vertex for volume search More...
 
unsafe void SetBottomVertex (double xValue, double yValue, double zValue)
 Set Bottom Vertex for volume search More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe bool ActivateVolFilterToggle [get, set]
 Returns or sets the activate vol filter toggle More...
 
unsafe NXOpen.SelectTaggedObject VolumeBoxSelection [get]
 Returns the volume box selection More...
 

Detailed Description

SelectWeldsBuilder

To create a new instance of this class, use NXOpen.ToolDesigner.ToolDesignerManager.CreateSelectWeldsBuilder

Default values.

Property Value

ActivateVolFilterToggle

0

Created in NX10.0.0

Member Function Documentation

unsafe void NXOpen.ToolDesigner.SelectWeldsBuilder.AssignWeld ( NXOpen.PDM.ModelElementRevision  weldPoint)

Do Weld Assignment

Created in NX11.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
weldPoint
unsafe void NXOpen.ToolDesigner.SelectWeldsBuilder.FetchWeldPointsInScope ( out NXOpen.PDM.ModelElementRevision[]  weldPoints)

Fetch Weld Points In Scope

Created in NX11.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
weldPoints
unsafe NXOpen.Assemblies.SubsetBuilder NXOpen.ToolDesigner.SelectWeldsBuilder.GetCurrentSubsetBuilder ( )

GetCurrentSubsetBuilder

Created in NX11.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Returns
unsafe void NXOpen.ToolDesigner.SelectWeldsBuilder.SetBottomVertex ( double  xValue,
double  yValue,
double  zValue 
)

Set Bottom Vertex for volume search

Created in NX11.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
xValue
yValue
zValue
unsafe void NXOpen.ToolDesigner.SelectWeldsBuilder.SetTopVertex ( double  xValue,
double  yValue,
double  zValue 
)

Set Top Vertex for volume search

Created in NX11.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
xValue
yValue
zValue
unsafe void NXOpen.ToolDesigner.SelectWeldsBuilder.UnassignWeld ( NXOpen.PDM.ModelElementRevision  weldPoint)

Do Weld Unassignment

Created in NX11.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
weldPoint

Property Documentation

unsafe bool NXOpen.ToolDesigner.SelectWeldsBuilder.ActivateVolFilterToggle
getset

Returns or sets the activate vol filter toggle

Created in NX10.0.0

License requirements to get this property: fp_fixture_planner ("FULL FIXTURE PLANNER")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectTaggedObject NXOpen.ToolDesigner.SelectWeldsBuilder.VolumeBoxSelection
get

Returns the volume box selection

Created in NX10.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.